Get cloud connector
- Base URL
-
https://{kibana_url}
- GET /api/fleet/cloud_connectors/{cloudConnectorId}
- GET /s/{space_id}/api/fleet/cloud_connectors/{cloudConnectorId}
Get a cloud connector by ID.
https://{kibana_url}
Get a cloud connector by ID.
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
Successful response
item
object
required
iac_blueprint_id
string · min length: 1 · max length: 255
nullable
Identifier of the template source last used for this connector. Set to null to remove it.
iac_blueprint_version
string · min length: 1 · max length: 64
nullable
Version of the template source last used for this connector. Set to null to remove it.
iac_deployment_id
string · min length: 1 · max length: 2048
ARN of the last CloudFormation stack deployed for this connector (arn:<partition>:cloudformation:<region>:<account>:stack/<name>/<id>).
iac_key
string · min length: 1 · max length: 512
nullable
Checksum of the CloudFormation template last saved on this connector. Set to null to remove it.
iac_upgrade_checked_at
string
When this connector was last checked for a CloudFormation template upgrade.
https://{kibana_url}